## Apache Zeta Components Manual :: Docs For Class ezcWebdavPropFindResponse

### Webdav::ezcWebdavPropFindResponse

### Class ezcWebdavPropFindResponse

Class generated by the backend to respond to MKCOL requests.

If a ezcWebdavBackend receives an instance of ezcWebdavPropFindRequest it might react with an instance of ezcWebdavPropFindResponse or with producing an error.

Source for this file: /Webdav/src/responses/propfind.php

    ezcWebdavInfrastructureBase
       |
       --ezcWebdavResponse
          |
          --ezcWebdavPropFindResponse

Version: | //autogentag//

### Descendants

Child Class | Description
--- | ---
ezcWebdavPropPatchResponse | Class generated by the backend to respond to PROPPATCH requests.

### Inherited Constants

From ezcWebdavResponse:
`ezcWebdavResponse::STATUS_100` |
`ezcWebdavResponse::STATUS_101` |
`ezcWebdavResponse::STATUS_200` |
`ezcWebdavResponse::STATUS_201` |
`ezcWebdavResponse::STATUS_202` |
`ezcWebdavResponse::STATUS_203` |
`ezcWebdavResponse::STATUS_204` |
`ezcWebdavResponse::STATUS_205` |
`ezcWebdavResponse::STATUS_206` |
`ezcWebdavResponse::STATUS_207` |
`ezcWebdavResponse::STATUS_300` |
`ezcWebdavResponse::STATUS_301` |
`ezcWebdavResponse::STATUS_302` |
`ezcWebdavResponse::STATUS_303` |
`ezcWebdavResponse::STATUS_304` |
`ezcWebdavResponse::STATUS_305` |
`ezcWebdavResponse::STATUS_400` |
`ezcWebdavResponse::STATUS_401` |
`ezcWebdavResponse::STATUS_402` |
`ezcWebdavResponse::STATUS_403` |
`ezcWebdavResponse::STATUS_404` |
`ezcWebdavResponse::STATUS_405` |
`ezcWebdavResponse::STATUS_406` |
`ezcWebdavResponse::STATUS_407` |
`ezcWebdavResponse::STATUS_408` |
`ezcWebdavResponse::STATUS_409` |
`ezcWebdavResponse::STATUS_410` |
`ezcWebdavResponse::STATUS_411` |
`ezcWebdavResponse::STATUS_412` |
`ezcWebdavResponse::STATUS_413` |
`ezcWebdavResponse::STATUS_414` |
`ezcWebdavResponse::STATUS_415` |
`ezcWebdavResponse::STATUS_423` |
`ezcWebdavResponse::STATUS_424` |
`ezcWebdavResponse::STATUS_500` |
`ezcWebdavResponse::STATUS_501` |
`ezcWebdavResponse::STATUS_502` |
`ezcWebdavResponse::STATUS_503` |
`ezcWebdavResponse::STATUS_504` |
`ezcWebdavResponse::STATUS_505` |
`ezcWebdavResponse::STATUS_507` |

### Properties

ezcWebdavResource|ezcWebdavCollection | read/write | `$node` Contains the resource affected by the response.
array(ezcWebdavPropStatResponse) | read/write | `$responses` Contains a list of propstat responses for the node.

### Inherited Member Variables

From ezcWebdavResponse
public | `ezcWebdavResponse::$errorNames`
protected | `ezcWebdavResponse::$headers`
protected | `ezcWebdavResponse::$properties`
From ezcWebdavInfrastructureBase
protected | `ezcWebdavInfrastructureBase::$pluginData`

### Method Summary

public void | `__construct( $node )` Creates a new response object.

### Inherited Methods

From ezcWebdavResponse
public void | `ezcWebdavResponse::__construct()` Construct error response from status.
public mixed | `ezcWebdavResponse::getHeader()` Returns the contents of a specific header.
public array(string=>string) | `ezcWebdavResponse::getHeaders()` Returns all headers.
public void | `ezcWebdavResponse::setHeader()` Sets a header to a specified value.
public void | `ezcWebdavResponse::validateHeaders()` Validates the headers set in this response.
public string | `ezcWebdavResponse::__toString()` Return valid HTTP response string from error code.
From ezcWebdavInfrastructureBase
public mixed | `ezcWebdavInfrastructureBase::getPluginData()` Retrieves plugin data from the storage.
public bool | `ezcWebdavInfrastructureBase::hasPluginData()` Returns if plugin data is available in the storage.
public void | `ezcWebdavInfrastructureBase::removePluginData()` Removes plugin data from the storage.
public void | `ezcWebdavInfrastructureBase::setPluginData()` Sets plugin data in the storage.

### Methods

#### __construct

void __construct( ezcWebdavResource|ezcWebdavCollection $node )

Creates a new response object.

The response is constructed from either a ezcWebdavCollection or a ezcWebdavResource as the first parameter and a finite amount of ezcWebdavPropStatResponses as additional parameters.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$node` | ezcWebdavResource|ezcWebdavCollection |

##### Redefinition of:

Method | Description
--- | ---
`ezcWebdavResponse::__construct()` | Construct error response from status.

Documentation generated by phpDocumentor 1.4.3